<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/message_boards/init.jsp" %>

<%
MBViewStatisticsDisplayContext mbViewStatisticsDisplayContext = new MBViewStatisticsDisplayContext(renderRequest, renderResponse);

MBCategoryDisplay categoryDisplay = mbViewStatisticsDisplayContext.getMBCategoryDisplay();
PortletURL portletURL = mbViewStatisticsDisplayContext.getPortletURL();
%>

<%@ include file="/message_boards/nav.jspf" %>

<c:choose>
	<c:when test="<%= mbViewStatisticsDisplayContext.isMBAdmin() %>">
		<clay:container-fluid>
			<%@ include file="/message_boards/view_statistics_panel.jspf" %>
		</clay:container-fluid>
	</c:when>
	<c:otherwise>
		<div class="main-content-body mt-4">
			<h3><liferay-ui:message key="statistics" /></h3>

			<%@ include file="/message_boards/view_statistics_panel.jspf" %>
		</div>
	</c:otherwise>
</c:choose>

<%
PortalUtil.setPageSubtitle(LanguageUtil.get(request, "statistics"), request);
PortalUtil.addPortletBreadcrumbEntry(request, LanguageUtil.get(request, TextFormatter.format("statistics", TextFormatter.O)), portletURL.toString());
%>